SenseCrypt Docs
API ReferenceScim

Bulk operations (SCIM 2.0 §3.7)

POST/v1/idp/scim/v2/Bulk

Authorization

HTTPBearer
AuthorizationBearer <token>

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/scim+json

application/json

curl -X POST "https://example.com/v1/idp/scim/v2/Bulk" \  -H "Content-Type: application/json" \  -d '{    "Operations": [      {        "bulkId": "qwerty",        "data": {          "emails": [            {              "primary": true,              "value": "jdoe@corp.com"            }          ],          "userName": "jdoe"        },        "method": "POST",        "path": "/Users"      },      {        "bulkId": "ytrewq",        "data": {          "displayName": "Engineering",          "members": [            {              "value": "bulkId:qwerty"            }          ]        },        "method": "POST",        "path": "/Groups"      }    ],    "failOnErrors": 1,    "schemas": [      "urn:ietf:params:scim:api:messages:2.0:BulkRequest"    ]  }'
{}
{  "detail": [    {      "loc": [        "string"      ],      "msg": "string",      "type": "string",      "input": null,      "ctx": {}    }  ]}